@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


.yw-collaboration-center-browser {
    &,
    .yw-listview-bottom-bar {
        background-color: $collaboration-center-browser__default--bg-color;
    }
    .yw-listview-caption {
        padding: $collaboration-center-browser__header-caption--padding;

        .yw-listview-title {
            font-size: $collaboration-center-overview-title--font-size;
            display: inline-block;
            text-transform: inherit;
        }
    }
    .yw-workflow-status-container {
        .z-span {
            margin-right: $collaboration-center-browser__status-icon--margin-right;
        }
    }
    &.widget_body .yw-listview-actioncontainer {
        padding: $collaboration-center-browser__header-actioncontainer--padding;
        display: inline-block;
        width: 100%;
    }
    .yw-listview-actioncontainer {
        > .yw-listview-caption {
            display: inline-block;
            float: left;
            vertical-align: top;
            position: relative;
            z-index: 1;
        }
        > .y-toolbar {
            padding-top: nth($collaboration-center-browser__header-caption--padding, 1);
            display: inline;
            border: none;
            overflow: visible;
        }
        .yw-listview-actionSlot {
            min-height: $collaboration-center-browser__toolbar-default-box--height;
            display: inline-block;
            width: auto;
            float: right;
            position: relative;
            z-index: 1;
        }
        .yw-toolbar-center-container .yw-fulltextsearch-container,
        .yw-listview-actionSlot > .cng-action-group,
        .yw-toolbar-center-container .yw-workflowsearch-filters {
            margin: $collaboration-center-browser__toolbar-action-group--margin;
        }
        .yw-listview-actionSlot > .cng-action-group,
        .yw-toolbar-center-container .yw-workflowsearch-filters,
        .yw-toolbar-center-container .yw-fulltextsearch-wrapper {
            margin-left: $collaboration-center-browser__toolbar-tool--margin-left;
            margin-right: 0;
        }
        .yw-toolbar-center-container,
        .yw-toolbar-center-container .yw-nested-widget {
            display: inline;
            float: none;
            position: relative;
            z-index: 0;
        }
    }
    .yw-coll-browser-container {
        &,
        > .z-listbox,
        > .z-listbox > .z-listbox-body {
            .widget_children_list > .widget_cnt:not(:only-child) > & {
                height: auto !important;
            }
        }
        
        > .z-listbox > .z-listbox-body > table {
            margin-top: $collaboration-center-browser__listbox-table--margin-top;
        }
        
        tr.z-listhead th:first-of-type .z-listheader-content,
        tr.z-listitem > td:first-of-type .z-listcell-content {
            padding-left: $collaboration-center-browser__list-side-cell--padding-x;
        }
        tr.z-listhead th:nth-last-of-type(2) .z-listheader-content,
        tr.z-listitem > td:last-of-type .z-listcell-content {
            padding-right: $collaboration-center-browser__list-side-cell--padding-x;
        }
        .z-listbox-body .z-listitem .z-listcell-content,
        tr.z-listhead th.yw-listview-colheader {
            &:before {
                display: none;
            }
        }

        .z-listbox-header-border {
            border-color: $collaboration-center-browser__listbox-header-border--border-color;
        }
        .z-listbox-body {
            > table {
                border-bottom-color: $collaboration-center-browser__listitem--border-color;
            }
            .z-listitem {
                .z-listcell {
                    border-top: $collaboration-center-browser__listitem--border;
                    vertical-align: top;
                }
                .yw-show-menu-action-container {
                    vertical-align: middle;

                    .z-listcell-content {
                        line-height: 1;
                        text-overflow: clip;
                    }
                }
                &:last-child {
                    &, &:hover {
                        box-shadow: 0px $collaboration-center-browser__default--border-width 0px $collaboration-center-browser__listitem--border-color;
                    }
                }
            }
        }

    }
    &-header-toolbar {
        display: block;
        
        .yw-nested-widget > & {
            display: inline;

            > .z-borderlayout > div {
                > .z-north {
                    float: right;
                    display: block;
                    overflow: visible;
                    width: auto;
                    height: auto !important;
                    float: right;
                }
                > .z-north,
                > .z-center {
                    position: static;
                    left: auto !important;
                    top: auto !important;
                }
                > .z-north,
                > .z-center,
                > .z-north > .z-north-body,
                > .z-center > .z-center-body {
                    width: auto !important;
                    height: auto !important;
                }
                > .z-center {
                    margin-left: $collaboration-center-browser__header-actioncontainer-nested-center-full-width--margin-x;
                    margin-right: $collaboration-center-browser__header-actioncontainer-nested-center-full-width--margin-x;
                    padding-top: $collaboration-center-browser__header-actioncontainer-nested-center--padding-top;
                    clear: both;
                    display: block;
                    width: 100%;
                }
            }
        }
        > .z-borderlayout {
            background: transparent;
            display: inline;

            > div > .z-north {
                > .z-north-body,
                > .z-north-body > .widget_cnt {
                    display: inline-block;
                }
            }
            .noBG.yw-layoutregion {
                background: transparent;
            }
        }
    }
    .yw-coll-browser-hyperlink {
        font-weight: $font-weight-bold;
    }
}
